org.richfaces.convert.seamtext

## Class HtmlToSeamTransformer

- java.lang.Object
- - org.richfaces.convert.seamtext.HtmlToSeamTransformer

-     public class HtmlToSeamTransformer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `preformatted`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlToSeamTransformer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeTagWithBody(HtmlTag tag)`
    `java.lang.String` | `escapeSeamText(java.lang.String tokenName, boolean preformatted)`
    `HtmlTag` | `getCurrentTag()`
    `java.util.Stack<HtmlTag>` | `getHtmlElementStack()`
    `boolean` | `isFormattedHtmlSeamTextElement(HtmlTag element)`
    `boolean` | `isPlainHtmlRequired(HtmlTag name)`
    `boolean` | `isSeamTextElement(HtmlTag element)`
    `boolean` | `isSimpleSeamTextElement(HtmlTag element)`
    `void` | `newline(char[] text, int start, int length)`
    `void` | `openTag(HtmlTag tag)`
    `void` | `out(char[] text, int start, int length)`
    `void` | `plain(char[] text, int start, int length)`
    `void` | `seamCharacters(char[] text, int start, int length)`
    `void` | `setCurrentTag(HtmlTag currentTag)`
    `void` | `setHtmlElementStack(java.util.Stack<HtmlTag> htmlElementStack)`
    `void` | `space(char[] text, int start, int length)`
    `void` | `text(char[] text, int start, int length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### preformatted

          public boolean preformatted

  - ### Constructor Detail

    - #### HtmlToSeamTransformer

          public HtmlToSeamTransformer()

  - ### Method Detail

    - #### getHtmlElementStack

          public java.util.Stack<HtmlTag> getHtmlElementStack()

    - #### setHtmlElementStack

          public void setHtmlElementStack(java.util.Stack<HtmlTag> htmlElementStack)

    - #### escapeSeamText

          public java.lang.String escapeSeamText(java.lang.String tokenName,
                                        boolean preformatted)

    - #### isSeamTextElement

          public boolean isSeamTextElement(HtmlTag element)

    - #### isSimpleSeamTextElement

          public boolean isSimpleSeamTextElement(HtmlTag element)

    - #### isFormattedHtmlSeamTextElement

          public boolean isFormattedHtmlSeamTextElement(HtmlTag element)

    - #### isPlainHtmlRequired

          public boolean isPlainHtmlRequired(HtmlTag name)

    - #### text

          public void text(char[] text,
                  int start,
                  int length)

    - #### seamCharacters

          public void seamCharacters(char[] text,
                            int start,
                            int length)

    - #### plain

          public void plain(char[] text,
                   int start,
                   int length)

    - #### out

          public void out(char[] text,
                 int start,
                 int length)

    - #### space

          public void space(char[] text,
                   int start,
                   int length)

    - #### newline

          public void newline(char[] text,
                     int start,
                     int length)

    - #### openTag

          public void openTag(HtmlTag tag)

    - #### closeTagWithBody

          public void closeTagWithBody(HtmlTag tag)

    - #### getCurrentTag

          public HtmlTag getCurrentTag()

    - #### setCurrentTag

          public void setCurrentTag(HtmlTag currentTag)

Copyright © 2013. All Rights Reserved.